--------------------------------------------------------------------------------
-- system_stub.vhd
--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

-- synthesis translate_off
LIBRARY UNISIM;
USE UNISIM.VCOMPONENTS.ALL;
-- synthesis translate_on

ENTITY system_stub IS
PORT (
	-- instance GLOBAL
	usb_vp : IN STD_LOGIC;
	usb_vpo : OUT STD_LOGIC;
	rstn : IN STD_LOGIC;
	usb_fse0 : OUT STD_LOGIC;
	usb_oe : OUT STD_LOGIC;
	usb_iii : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
	usb_ooo : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
	clk48 : IN STD_LOGIC;
	usb_vm : IN STD_LOGIC;

	-- instance uusb
	usb_con : INOUT STD_LOGIC);
END system_stub;

ARCHITECTURE IMP OF system_stub IS

ATTRIBUTE BOX_TYPE : STRING;
--------------------------------------------------------------------------------
COMPONENT system IS
PORT (
	usb_vm : IN STD_LOGIC;
	usb_vp : IN STD_LOGIC;
	usb_fse0 : OUT STD_LOGIC;
	usb_oe : OUT STD_LOGIC;
	rstn : IN STD_LOGIC;
	usb_vpo : OUT STD_LOGIC;
	usb_iii : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
	clk48 : IN STD_LOGIC;
	usb_ooo : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
	usb_con_O : OUT STD_LOGIC;
	usb_con_I : IN STD_LOGIC;
	usb_con_T : OUT STD_LOGIC);
END COMPONENT;
ATTRIBUTE box_type OF system : COMPONENT IS "black_box";
--------------------------------------------------------------------------------
COMPONENT IOBUF IS
PORT (
	O : OUT STD_LOGIC;
	I : IN STD_LOGIC;
	IO : INOUT STD_LOGIC;
	T : IN STD_LOGIC);
END COMPONENT;

--------------------------------------------------------------------------------
-- internal signals
--------------------------------------------------------------------------------

	SIGNAL usb_con_I : STD_LOGIC;

	SIGNAL usb_con_O : STD_LOGIC;

	SIGNAL usb_con_T : STD_LOGIC;

BEGIN

--------------------------------------------------------------------------------
-- Power assignments
--------------------------------------------------------------------------------
-- Constant assignments
--------------------------------------------------------------------------------
-- Top-level port assignments
--------------------------------------------------------------------------------
-- Lower-level assignments

--------------------------------------------------------------------------------
uusb : system
PORT MAP (
	usb_vm => usb_vm,
	usb_vp => usb_vp,
	usb_fse0 => usb_fse0,
	usb_oe => usb_oe,
	rstn => rstn,
	usb_vpo => usb_vpo,
	usb_iii => usb_iii,
	clk48 => clk48,
	usb_ooo => usb_ooo,
	usb_con_O => usb_con_O,
	usb_con_I => usb_con_I,
	usb_con_T => usb_con_T);

--------------------------------------------------------------------------------
iobuf_0 : IOBUF
PORT MAP (
	O => usb_con_I,
	I => usb_con_O,
	IO => usb_con,
	T => usb_con_T);

END ARCHITECTURE IMP;
